Welcome to Tesla Motors Club
Discuss Tesla's Model S, Model 3, Model X, Model Y, Cybertruck, Roadster and More.
Register

2014 S Salvage won't update software

MP3Mike

Well-Known Member
Feb 1, 2016
17,201
41,719
Oregon
You have to have 2019.40.2.3, or newer, for the car to be able to talk to Tesla and download software, use the app, etc:


So either you, or a hacker or Tesla, have to connect to the car via a cable and forcibly load a newer software version.
 
You have to have 2019.40.2.3, or newer, for the car to be able to talk to Tesla and download software, use the app, etc:
Tesla states 2019.40 is needed but mine on 2019.32.2.1 continued to work with the app after the update deadline. My understanding is that my fw version has both Hermes websocket vpn and openvpn both in the build.
Car was off for 2 years and won't update. Tesla wanted a lot of $$ (3 hr min diagnosis and infotainment upgrade).

I have done a hard reset with no change.

My version is 9.0 (2018.50.6)

I can't connect to the app or streaming music.
2018.50 is the version many pre-AP2 owners wish they still had.
 

Products we're discussing on TMC...

About Us

Formed in 2006, Tesla Motors Club (TMC) was the first independent online Tesla community. Today it remains the largest and most dynamic community of Tesla enthusiasts. Learn more.

Do you value your experience at TMC? Consider becoming a Supporting Member of Tesla Motors Club. As a thank you for your contribution, you'll get nearly no ads in the Community and Groups sections. Additional perks are available depending on the level of contribution. Please visit the Account Upgrades page for more details.


SUPPORT TMC
Top